[arch-commits] Commit in perl-tk/repos (extra-i686 extra-i686/PKGBUILD)

François Charette francois at archlinux.org
Mon May 4 05:56:41 EDT 2009


    Date: Monday, May 4, 2009 @ 05:56:41
  Author: francois
Revision: 37887

Merged revisions 356,37884 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/perl-tk/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r37884 | francois | 2009-05-04 11:53:21 +0200 (Mon, 04 May 2009) | 1 line
  
  upgpkg: perl-tk 804.028_501-1
........

Modified:
  perl-tk/repos/extra-i686/	(properties)
  perl-tk/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   40 +++++++++++++++-------------------------
 1 file changed, 15 insertions(+), 25 deletions(-)


Property changes on: perl-tk/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /perl-tk/trunk:1
   + /perl-tk/trunk:1-37884

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-04 09:54:20 UTC (rev 37886)
+++ extra-i686/PKGBUILD	2009-05-04 09:56:41 UTC (rev 37887)
@@ -1,45 +1,35 @@
 # $Id$
-# Maintainer: Juergen Hoetzel <juergen at archlinux.org>
+# Maintainer: François Charette <francois ατ archlinux δοτ org>
 # Contributor: Jason Chu <jchu at xentac.net>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
 
 pkgname=perl-tk
-_realname=Tk
-#stable pkgver=804.027
-pkgver=804.028
+_cpanname=Tk
+pkgver=804.028_501
 pkgrel=1
-pkgdesc="This module/script allows perl to interface with tk"
+pkgdesc="A graphical user interface toolkit for Perl"
+arch=('i686' 'x86_64')
+url="http://search.cpan.org/~SREZIC/${_cpanname}"
 license=('PerlArtistic' 'GPL' 'custom')
-arch=(i686 x86_64)
 depends=('libx11' 'libpng' 'libjpeg' 'tk' 'perl>=5.10.0')
-#
-# Using an "unauthorized" version because the official
-# release does not build under perl 5.10
-#source=(http://cpan.org/authors/id/N/NI/NI-S/${_realname}-${pkgver}.tar.gz)
-#
-source=(http://search.cpan.org/CPAN/authors/id/S/SR/SREZIC/${_realname}-${pkgver}.tar.gz)
-md5sums=('7153c1c411b0dd005a0660179e5c5900')
-url="http://search.cpan.org/dist/${_realname}/"
-options=(!emptydirs)
+options=('!emptydirs')
 replaces=('perltk')
 provides=('perltk')
+source=(http://www.cpan.org/authors/id/S/SR/SREZIC/${_cpanname}-${pkgver}.tar.gz) 
+md5sums=('bf7b1726ea98472aa586eda17ca6f9d0')
 
 build() {
-  cd ${startdir}/src/${_realname}-${pkgver}
-
-  # install module in vendor directories.
-  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+  cd $srcdir/${_cpanname}-$pkgver
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1 
   /bin/chmod -R u+w *
   make || return 1
-  make install DESTDIR=${startdir}/pkg || return 1
+  make install DESTDIR=$pkgdir || return 1
+  find $pkgdir -name '.packlist' -delete
+  find $pkgdir -name '*.pod' -delete
 
-  # remove perllocal.pod and .packlist
-  find ${startdir}/pkg -name perllocal.pod -delete
-  find ${startdir}/pkg -name .packlist -delete
-
   # license
   install -D -m644 pTk/license.terms \
                    ${startdir}/pkg/usr/share/licenses/${pkgname}/tk.license
   install -D -m644 pTk/Tix.license \
                    ${startdir}/pkg/usr/share/licenses/${pkgname}/tix.license
 }
-# vim: ts=2 sw=2 et ft=sh



More information about the arch-commits mailing list